summaryrefslogtreecommitdiff
path: root/sci-astronomy
diff options
context:
space:
mode:
authorCtibor <ctibor.brancik@seznam.cz>2015-01-29 19:04:55 +0100
committerCtibor <ctibor.brancik@seznam.cz>2015-01-29 19:04:55 +0100
commit7c74b09dfc50aa9d661b0f2ba337afe9ab057ea8 (patch)
tree0450639e8d313ef4ac6d6639182433c476aa6fa9 /sci-astronomy
parent7e874c6abca1380ac800bdc13a111126437f53c4 (diff)
downloadbrancik-overlay-7c74b09dfc50aa9d661b0f2ba337afe9ab057ea8.tar.gz
brancik-overlay-7c74b09dfc50aa9d661b0f2ba337afe9ab057ea8.tar.bz2
Modified sci-astronomy/qastrocam-g2 to depend on indilib.org's qhy driver for firmware. Add IUSE qhy.
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/qastrocam-g2/Manifest3
-rw-r--r--sci-astronomy/qastrocam-g2/files/qastrocam-g2-9999-do_no_install_qhy_driver.patch17
-rw-r--r--sci-astronomy/qastrocam-g2/qastrocam-g2-9999.ebuild30
3 files changed, 37 insertions, 13 deletions
diff --git a/sci-astronomy/qastrocam-g2/Manifest b/sci-astronomy/qastrocam-g2/Manifest
index 16bdc90..785420c 100644
--- a/sci-astronomy/qastrocam-g2/Manifest
+++ b/sci-astronomy/qastrocam-g2/Manifest
@@ -1 +1,2 @@
-EBUILD qastrocam-g2-9999.ebuild 703 SHA256 8b45af7a6ac1992f302a8c8040ea74d568a125652a7a164ee4d36b2b2a64c105 SHA512 36b5c1ec122915f15f56a5ab86be56e7d9f60e48acfc40b1bc2ab1ccbfe6aeef6ed4995b0c8dc095190d1616bcdecd26c20ef702465485967cffb4ee4df51a88 WHIRLPOOL 4ecf13dfd70f0d1399d5efd7ec5c69d025d1087aee93690eee3d8391e08b77d2ab0e33f89a7cee559bfe69eeb85d6cddfbbebf542781ea3025aa64a2b9bca036
+AUX qastrocam-g2-9999-do_no_install_qhy_driver.patch 836 SHA256 14253f714ae75911fe84b1ca8b1e4477399dd1570b7abfb1dd770ae3f1570c85 SHA512 9461caeb868db8a76f8be834f10d7a10968e0f69cb4b8e7545af738c3772fabbec3dea3b3212cd7e0b9f2c987d875b8767af055125efe1dec41e980af2e4a24a WHIRLPOOL bc8efc0fbd4fb5543063a4ee45e4695aa7bb8fcc983b28b771cc5af85a1e221b6bf15ca0b32f62024f190b378ab02cf3f5c893574b6a669db5d5a70ebd39e7cb
+EBUILD qastrocam-g2-9999.ebuild 833 SHA256 27f07f2a1d5a3cc36e5552331d1f3c9d4b979df6d4c297148b5e0a87bae489a4 SHA512 9fbe1c784d4556f188b5d5cf59374ddd4da7de03f00c8796dcc512946ab8d4aaf5d226641397f613a595f3c198900efa7b31cfc9ac1dd80e574ae7838c0ff8bf WHIRLPOOL e8369bbbcafa84e5733cd31ff3045f38165380929b76609b15223dc79ac851aebb6f5451a3f6da41ae6540871dd5d70164dfc513a9b8d51fc2aa1cbae2b259a4
diff --git a/sci-astronomy/qastrocam-g2/files/qastrocam-g2-9999-do_no_install_qhy_driver.patch b/sci-astronomy/qastrocam-g2/files/qastrocam-g2-9999-do_no_install_qhy_driver.patch
new file mode 100644
index 0000000..e6ee1cd
--- /dev/null
+++ b/sci-astronomy/qastrocam-g2/files/qastrocam-g2-9999-do_no_install_qhy_driver.patch
@@ -0,0 +1,17 @@
+diff -ruN qastrocam-g2/CMakeLists.txt qastrocam-g2.new/CMakeLists.txt
+--- qastrocam-g2/CMakeLists.txt 2015-01-29 18:43:17.195166707 +0100
++++ qastrocam-g2.new/CMakeLists.txt 2015-01-29 18:45:12.288005076 +0100
+@@ -406,13 +406,6 @@
+ install(FILES lib/huffyuv_readme.txt DESTINATION /usr/share/qastrocam-g2)
+ endif(AVIFILE_FOUND)
+
+-# install QHY driver
+-install(FILES qhy_driver/qhyccd.rules DESTINATION /etc/udev/rules.d)
+-install(FILES qhy_driver/QHY5.HEX DESTINATION /usr/share/qastrocam-g2/qhy_driver)
+-install(FILES qhy_driver/QHY5LOADER.HEX DESTINATION /usr/share/qastrocam-g2/qhy_driver)
+-install(FILES qhy_driver/QHY6.HEX DESTINATION /usr/share/qastrocam-g2/qhy_driver)
+-install(FILES qhy_driver/LICENSE DESTINATION /usr/share/qastrocam-g2/qhy_driver)
+-
+ ######################
+ # PACKAGE GENERATION #
+ ######################
diff --git a/sci-astronomy/qastrocam-g2/qastrocam-g2-9999.ebuild b/sci-astronomy/qastrocam-g2/qastrocam-g2-9999.ebuild
index a13f91e..9d9b157 100644
--- a/sci-astronomy/qastrocam-g2/qastrocam-g2-9999.ebuild
+++ b/sci-astronomy/qastrocam-g2/qastrocam-g2-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="5"
+EAPI=5
inherit subversion cmake-utils eutils
@@ -13,20 +13,26 @@ ESVN_REPO_URI="svn://svn.code.sf.net/p/${PN}/svn/trunk"
SLOT="0"
LICENSE="GPL-2"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="ffmpeg fits jpeg usb sdl"
-
-DEPEND="dev-qt/qtcore \
- dev-qt/qtgui \
- usb? ( virtual/libusb ) \
- fits? ( sci-libs/cfitsio ) \
- jpeg? ( virtual/jpeg ) \
- ffmpeg? ( virtual/ffmpeg ) \
- sdl? ( media-libs/libsdl )"
+KEYWORDS=""
+
+IUSE="ffmpeg fits jpeg usb sdl qhy"
+
+DEPEND="dev-qt/qtcore
+ dev-qt/qtgui
+ qhy? (
+ || ( >=sci-libs/libqhy-9999 <sci-libs/indi-driver-qhy-9999 )
+ usb? ( virtual/libusb )
+ )
+ fits? ( sci-libs/cfitsio )
+ jpeg? ( virtual/jpeg )
+ ffmpeg? ( virtual/ffmpeg )
+ sdl? ( media-libs/libsdl )
+"
RDEPEND="${DEPEND}"
+PATCHES=( "${FILESDIR}/qastrocam-g2-9999-do_no_install_qhy_driver.patch" )
+
src_unpack() {
subversion_src_unpack
} \ No newline at end of file